create
PUT
/list
Creates a list.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” expand
string
Expand a foreign key column (https://pocketbase.io/docs/working-with-relations/#expanding-relations).
requestKey
string
Unique request id. Prevents auto cancel when sending multiple requests.
Request Body
Section titled “Request Body ”object
name
required
Name of the list
string
description
Description of the list
string
public
required
Visible for everyone
boolean
trails
required
List of trail Ids contained in the list
Array<string>
author
required
User Id
string
Example
{ "name": "API List", "description": "A list created via the wanderer API", "public": true, "trails": [], "author": "3mugf953w4a9fg5"}Responses
Section titled “ Responses ”object
author
required
string
avatar
required
string
collectionId
required
string
collectionName
required
string
created
required
string
description
required
string
id
required
string
name
required
string
public
required
boolean
trails
required
Array<string>
updated
required
string
Example
{ "author": "3mugf953w4a9fg5", "avatar": "", "collectionId": "r6gu2ajyidy1x69", "collectionName": "lists", "created": "2025-01-02 22:29:19.092Z", "description": "A list created via the wanderer API", "id": "4yql7587j64qdo5", "name": "API List", "public": true, "trails": [], "updated": "2025-01-02 22:29:19.092Z"}object
message
required
string
detail
required
object
code
required
integer
message
required
string
data
required
object
author
required
object
code
required
string
message
required
string
Example
{ "message": "Failed to create record.", "detail": { "code": 400, "message": "Failed to create record.", "data": { "author": { "code": "validation_missing_rel_records", "message": "Failed to find all relation records with the provided ids." } } }}x-400:Invalid Params
Section titled “x-400:Invalid Params ”object
message
required
string
details
required
Array<object>
object
code
string
expected
string
received
string
path
Array<string>
message
string
Example
{ "message": "invalid_params", "details": [ { "code": "invalid_type", "expected": "string", "received": "number", "path": [ "name" ], "message": "Expected string, received number" } ]}